# Class BanRequest | EchoHub Documentation

# Class BanRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record BanRequest : IEquatable<BanRequest>

Inheritance
  object
  BanRequest

Implements
  IEquatable<BanRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### BanRequest(BanRequest)

    protected BanRequest(BanRequest original)

#### Parameters

`original` BanRequest

### BanRequest(string?)

    public BanRequest(string? Reason = null)

#### Parameters

`Reason` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Reason

    public string? Reason { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string?)

    public void Deconstruct(out string? Reason)

#### Parameters

`Reason` string

### Equals(BanRequest?)

    public virtual bool Equals(BanRequest? other)

#### Parameters

`other` BanRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(BanRequest?, BanRequest?)

    public static bool operator ==(BanRequest? left, BanRequest? right)

#### Parameters

`left` BanRequest
`right` BanRequest

#### Returns

bool

### operator !=(BanRequest?, BanRequest?)

    public static bool operator !=(BanRequest? left, BanRequest? right)

#### Parameters

`left` BanRequest
`right` BanRequest

#### Returns

bool